This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 110500 - BUILDINSTALL temp files in /tmp blows away system with small partition
BUILDINSTALL temp files in /tmp blows away system with small partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 05:30 EST by Howard Wilkinson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 16:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds a --tempdir argument to buildinstall (14.11 KB, patch)
2003-11-20 05:31 EST, Howard Wilkinson
no flags Details | Diff
Patch to latest anaconda baseline (16.88 KB, patch)
2004-05-03 03:53 EDT, Howard Wilkinson
no flags Details | Diff
Patch to latest anaconda release for small bugfixes (1.44 KB, patch)
2004-05-03 03:55 EDT, Howard Wilkinson
no flags Details | Diff
Patch to init.c to allow 2.4 series kernels to startup (1.38 KB, patch)
2004-05-03 03:57 EDT, Howard Wilkinson
no flags Details | Diff
Patch to anaconda to allow 2.4 kernels as well as 2.6 kernels (9.70 KB, patch)
2004-05-03 03:59 EDT, Howard Wilkinson
no flags Details | Diff

  None (edit)
Description Howard Wilkinson 2003-11-20 05:30:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
When running buildinstall on one of our systems, it filled /tmp up
with it images and then the machine started to fail. (ROOT is running
the script)

I have attached patches to 9.2-2 which allows a different temp
directory to be set and defaults to /var/tmp.


Version-Release number of selected component (if applicable):
9.2-2

How reproducible:
Always

Steps to Reproduce:
1. Run buildinstall with < 512M of /tmp and a big image
2.
3.
    

Additional info:
Comment 1 Howard Wilkinson 2003-11-20 05:31:46 EST
Created attachment 96082 [details]
Adds a --tempdir argument to buildinstall

This patch needs the quotes fix for buildinstall previously published.
Comment 2 Howard Wilkinson 2004-05-03 03:52:11 EDT
Updated patches for anaconda to support tempdir in the latest release.

Patch also adds kerberos libraries to the LD_LIBRARY_PATH inside
init.c. This does not seem to be needed with latest kerberos
installation but was causing failures on earlier builds.

Added 8139too and mii to loaded modules in the i386 images.

Modified mk-images.i386 to allow c3 and i386 architectures for pxeboot.

Fixed == typo in scrubtree and upd-instroot.

Comment 3 Howard Wilkinson 2004-05-03 03:53:20 EDT
Created attachment 99894 [details]
Patch to latest anaconda baseline

run with -p1 to apply
Comment 4 Howard Wilkinson 2004-05-03 03:55:46 EDT
Created attachment 99895 [details]
Patch to latest anaconda release for small bugfixes

This patch fixes a bug when the output from the anaconda script does not result
in any file being generated.

It fixes a problem when the terminfo file for a particular terminal type does
not exist.

It increates the pxeboot disc to 2880k which is needed with the latest kernels.
Comment 5 Howard Wilkinson 2004-05-03 03:57:32 EDT
Created attachment 99896 [details]
Patch to init.c to allow 2.4 series kernels to startup

This patch removes the requirement for sysfs under 2.4 series kernels.

See later patch for other 2.4 changes .. which are not completely working yet!
Comment 6 Howard Wilkinson 2004-05-03 03:59:33 EDT
Created attachment 99897 [details]
Patch to anaconda to allow 2.4 kernels as well as 2.6 kernels

This patch allows kernels form the 2.4 series to be built into images i.e.
replace .ko with .o when kernel is less than a 2.5 series.

This is a partially working solution, I have yet ot get a full 2.4 build to
work with this.

Note You need to log in before you can comment on or make changes to this bug.